Qt 5.11 | Qt GUI | C++ Classes | QTextLayout

Qt 5.11.3 Reference Documentation

# Obsolete Members for QTextLayout

The following members of class QTextLayout are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QList<QTextLayout::FormatRange> | additionalFormats() const
`(obsolete)` void | clearAdditionalFormats()
`(obsolete)` void | setAdditionalFormats(const QList<QTextLayout::FormatRange> &formatList)

## Member Function Documentation

### QList<QTextLayout::FormatRange> QTextLayout::additionalFormats() const

See also setAdditionalFormats() and clearAdditionalFormats().

### void QTextLayout::clearAdditionalFormats()

### void QTextLayout::setAdditionalFormats(const QList<QTextLayout::FormatRange> &formatList)

See also additionalFormats().